@echo off
if exist cfg\rtype.cfg move cfg\rtype.cfg cfg\rtype.bak
if exist hi\rtype.hi move hi\rtype.hi hi\rtype.bak
if exist nvram\rtype.nv move nvram\rtype.nv nvram\rtype.bak
if exist diff\rtype.dif move diff\rtype.dif diff\rtype.bak

mame rtype -record rtype.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\rtype.bak move cfg\rtype.bak cfg\rtype.cfg
if exist hi\rtype.bak move hi\rtype.bak hi\rtype.hi
if exist nvram\rtype.bak move nvram\rtype.bak nvram\rtype.nv
if exist diff\rtype.bak move diff\rtype.bak diff\rtype.dif
